package com.jetpackduba.gitnuro.theme

import androidx.compose.ui.graphics.Color

val lightTheme = ColorsScheme(
    primary = Color(0xFF0070D8),
    primaryVariant = Color(0xFF0070D8),
    onPrimary = Color(0xFFFFFFFFF),
    secondary = Color(0xFF9c27b0),
    primaryText = Color(0xFF212934),
    secondaryText = Color(0xFF595858),
    error = Color(0xFFc93838),
    onError = Color(0xFFFFFFFF),
    background = Color(0xFFFFFFFF),
    backgroundSelected = Color(0xC0cee1f2),
    surface = Color(0xFFf3f5f7),
    secondarySurface = Color(0xFFE9ECEF),
    headerBackground = Color(0xFFE9ECEF),
    borderColor = Color(0xFF989898),
    addFile = Color(0xFF32A852),
    deletedFile = Color(0xFFc93838),
    modifiedFile = Color(0xFF0070D8),
    conflictingFile = Color(0xFFFFB638),
    dialogOverlay = Color(0xAA000000),
    normalScrollbar = Color(0xFFCCCCCC),
    hoverScrollbar = Color(0xFF0070D8),
    diffLineAdded = Color(0xFFd7ebd0),
    diffLineRemoved = Color(0xFFf0d4d4),
    isLight = true,
)


val darkBlueTheme = ColorsScheme(
    primary = Color(0xFF0169cb),
    primaryVariant = Color(0xFF9FD1FF),
    onPrimary = Color(0xFFFFFFFFF),
    secondary = Color(0xFFe9c754),
    primaryText = Color(0xFFFFFFFF),
    secondaryText = Color(0xFFCCCBCB),
    error = Color(0xFFc93838),
    onError = Color(0xFFFFFFFF),
    background = Color(0xFF0E1621),
    backgroundSelected = Color(0xFF2f3640),
    surface = Color(0xFF182533),
    secondarySurface = Color(0xFF122C46),
    headerBackground = Color(0xFF0a335c),
    borderColor = Color(0xFF989898),
    addFile = Color(0xFF32A852),
    deletedFile = Color(0xFFc93838),
    modifiedFile = Color(0xFF0070D8),
    conflictingFile = Color(0xFFFFB638),
    dialogOverlay = Color(0xAA000000),
    normalScrollbar = Color(0xFF888888),
    hoverScrollbar = Color(0xFFCCCCCC),
    diffLineAdded = Color(0xFF566f5a),
    diffLineRemoved = Color(0xFF6f585e),
    isLight = false,
)

val darkGrayTheme = ColorsScheme(
    primary = Color(0xFF014F97),
    primaryVariant = Color(0xFFCDEAFF),
    onPrimary = Color(0xFFFFFFFFF),
    secondary = Color(0xFFe9c754),
    primaryText = Color(0xFFFFFFFF),
    secondaryText = Color(0xFFCCCBCB),
    error = Color(0xFFc93838),
    onError = Color(0xFFFFFFFF),
    background = Color(0xFF16181F),
    backgroundSelected = Color(0xFF32373e),
    surface = Color(0xFF212731),
    secondarySurface = Color(0xFF282d36),
    headerBackground = Color(0xFF21303d),
    borderColor = Color(0xFF989898),
    addFile = Color(0xFF32A852),
    deletedFile = Color(0xFFc93838),
    modifiedFile = Color(0xFF0070D8),
    conflictingFile = Color(0xFFFFB638),
    dialogOverlay = Color(0xAA000000),
    normalScrollbar = Color(0xFF888888),
    hoverScrollbar = Color(0xFFCCCCCC),
    diffLineAdded = Color(0xFF5b7059),
    diffLineRemoved = Color(0xFF74595c),
    isLight = false,
)